## API Report File for "@uifabric/merge-styles"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

// @public
export function concatStyleSets<TStyleSet>(styleSet: TStyleSet | false | null | undefined): IConcatenatedStyleSet<ObjectOnly<TStyleSet>>;

// @public
export function concatStyleSets<TStyleSet1, TStyleSet2>(styleSet1: TStyleSet1 | false | null | undefined, styleSet2: TStyleSet2 | false | null | undefined): IConcatenatedStyleSet<ObjectOnly<TStyleSet1> & ObjectOnly<TStyleSet2>>;

// @public
export function concatStyleSets<TStyleSet1, TStyleSet2, TStyleSet3>(styleSet1: TStyleSet1 | false | null | undefined, styleSet2: TStyleSet2 | false | null | undefined, styleSet3: TStyleSet3 | false | null | undefined): IConcatenatedStyleSet<ObjectOnly<TStyleSet1> & ObjectOnly<TStyleSet2> & ObjectOnly<TStyleSet3>>;

// @public
export function concatStyleSets<TStyleSet1, TStyleSet2, TStyleSet3, TStyleSet4>(styleSet1: TStyleSet1 | false | null | undefined, styleSet2: TStyleSet2 | false | null | undefined, styleSet3: TStyleSet3 | false | null | undefined, styleSet4: TStyleSet4 | false | null | undefined): IConcatenatedStyleSet<ObjectOnly<TStyleSet1> & ObjectOnly<TStyleSet2> & ObjectOnly<TStyleSet3> & ObjectOnly<TStyleSet4>>;

// @public
export function concatStyleSets<TStyleSet1, TStyleSet2, TStyleSet3, TStyleSet4, TStyleSet5>(styleSet1: TStyleSet1 | false | null | undefined, styleSet2: TStyleSet2 | false | null | undefined, styleSet3: TStyleSet3 | false | null | undefined, styleSet4: TStyleSet4 | false | null | undefined, styleSet5: TStyleSet5 | false | null | undefined): IConcatenatedStyleSet<ObjectOnly<TStyleSet1> & ObjectOnly<TStyleSet2> & ObjectOnly<TStyleSet3> & ObjectOnly<TStyleSet4> & ObjectOnly<TStyleSet5>>;

// @public
export function concatStyleSets<TStyleSet1, TStyleSet2, TStyleSet3, TStyleSet4, TStyleSet5, TStyleSet6>(styleSet1: TStyleSet1 | false | null | undefined, styleSet2: TStyleSet2 | false | null | undefined, styleSet3: TStyleSet3 | false | null | undefined, styleSet4: TStyleSet4 | false | null | undefined, styleSet5: TStyleSet5 | false | null | undefined, styleSet6: TStyleSet6 | false | null | undefined): IConcatenatedStyleSet<ObjectOnly<TStyleSet1> & ObjectOnly<TStyleSet2> & ObjectOnly<TStyleSet3> & ObjectOnly<TStyleSet4> & ObjectOnly<TStyleSet5> & ObjectOnly<TStyleSet6>>;

// @public
export function concatStyleSets(...styleSets: (IStyleSet | false | null | undefined)[]): IConcatenatedStyleSet<any>;

// @public
export function concatStyleSetsWithProps<TStyleProps, TStyleSet extends IStyleSet<TStyleSet>>(styleProps: TStyleProps, ...allStyles: (IStyleFunctionOrObject<TStyleProps, TStyleSet> | undefined)[]): DeepPartial<TStyleSet>;

// @public
export type DeepPartial<T> = {
    [P in keyof T]?: T[P] extends (infer U)[] ? DeepPartial<U>[] : T[P] extends object ? DeepPartial<T[P]> : T[P];
};

// @public
export function fontFace(font: IFontFace): void;

// @public
export type IConcatenatedStyleSet<TStyleSet extends IStyleSet<TStyleSet>> = {
    [P in keyof Omit<TStyleSet, 'subComponentStyles'>]: IStyle;
} & {
    subComponentStyles?: {
        [P in keyof TStyleSet['subComponentStyles']]: IStyleFunction<any, any>;
    };
};

// @public
export interface ICSPSettings {
    nonce?: string;
}

// @public (undocumented)
export type ICSSRule = 'initial' | 'inherit' | 'unset';

// @public
export interface IFontFace extends IRawFontStyle {
    fontDisplay?: 'auto' | 'block' | 'swap' | 'fallback' | 'optional';
    fontFeatureSettings?: string;
    src?: string;
    unicodeRange?: ICSSRule | string;
}

// @public (undocumented)
export type IFontWeight = ICSSRule | 'normal' | 'bold' | 'bolder' | 'lighter' | '100' | 100 | '200' | 200 | '300' | 300 | '400' | 400 | '500' | 500 | '600' | 600 | '700' | 700 | '800' | 800 | '900' | 900;

// @public
export type IKeyframes = Record<string, IRawStyle>;

// @public (undocumented)
export const InjectionMode: {
    none: 0;
    insertNode: 1;
    appendChild: 2;
};

// @public (undocumented)
export type InjectionMode = typeof InjectionMode[keyof typeof InjectionMode];

// @public
export type IProcessedStyleSet<TStyleSet extends IStyleSet<TStyleSet>> = {
    [P in keyof Omit<TStyleSet, 'subComponentStyles'>]: string;
} & {
    subComponentStyles: {
        [P in keyof TStyleSet['subComponentStyles']]: __MapToFunctionType<TStyleSet['subComponentStyles'] extends infer J ? (P extends keyof J ? J[P] : never) : never>;
    };
};

// @public
export interface IRawFontStyle {
    font?: ICSSRule | string;
    fontFamily?: ICSSRule | string;
    fontKerning?: ICSSRule | string;
    // Warning: (ae-forgotten-export) The symbol "ICSSPixelUnitRule" needs to be exported by the entry point index.d.ts
    // Warning: (ae-forgotten-export) The symbol "ICSSPercentageRule" needs to be exported by the entry point index.d.ts
    fontSize?: ICSSRule | 'xx-small' | 'x-small' | 'small' | 'medium' | 'large' | 'x-large' | 'xx-large' | 'larger' | 'smaller' | ICSSPixelUnitRule | ICSSPercentageRule;
    fontSizeAdjust?: ICSSRule | 'none' | number | string;
    fontStretch?: ICSSRule | 'normal' | 'ultra-condensed' | 'extra-condensed' | 'condensed' | 'semi-condensed' | 'semi-expanded' | 'expanded' | 'extra-expanded' | 'ultra-expanded' | string;
    fontStyle?: ICSSRule | 'normal' | 'italic' | 'oblique' | string;
    fontSynthesis?: ICSSRule | string;
    fontVariant?: ICSSRule | string;
    fontVariantAlternates?: ICSSRule | string;
    fontWeight?: IFontWeight | string;
}

// @public
export interface IRawStyle extends IRawStyleBase {
    [key: string]: any;
    displayName?: string;
    // @deprecated (undocumented)
    selectors?: {
        [key: string]: IStyle;
    };
}

// @public
export interface IRawStyleBase extends IRawFontStyle {
    alignContent?: ICSSRule | 'flex-start' | 'flex-end' | 'center' | 'space-between' | 'space-around' | 'stretch' | string;
    alignItems?: ICSSRule | 'flex-start' | 'flex-end' | 'center' | 'baseline' | 'stretch' | string;
    alignmentAdjust?: ICSSRule | string;
    alignmentBaseline?: ICSSRule | string;
    // Warning: (ae-forgotten-export) The symbol "ICSSBaselinePositionRule" needs to be exported by the entry point index.d.ts
    // Warning: (ae-forgotten-export) The symbol "ICSSOverflowAndSelfPositionRule" needs to be exported by the entry point index.d.ts
    alignSelf?: ICSSRule | 'auto' | 'normal' | 'stretch' | ICSSBaselinePositionRule | ICSSOverflowAndSelfPositionRule | string;
    animation?: ICSSRule | string;
    animationDelay?: ICSSRule | string;
    animationDirection?: ICSSRule | string;
    animationDuration?: ICSSRule | string;
    animationFillMode?: ICSSRule | 'none' | 'forwards' | 'backwards' | 'both' | string;
    animationIterationCount?: ICSSRule | string;
    animationName?: ICSSRule | string;
    animationPlayState?: ICSSRule | string;
    animationTimingFunction?: ICSSRule | string;
    appearance?: ICSSRule | string;
    backdropFilter?: ICSSRule | string;
    backfaceVisibility?: ICSSRule | string;
    background?: ICSSRule | string;
    backgroundAttachment?: ICSSRule | 'scroll' | 'fixed' | 'local' | string;
    backgroundBlendMode?: ICSSRule | string;
    backgroundClip?: ICSSRule | 'border-box' | 'padding-box' | 'content-box' | 'text' | string;
    backgroundColor?: ICSSRule | string;
    backgroundComposite?: ICSSRule | string;
    backgroundImage?: ICSSRule | string;
    backgroundOrigin?: ICSSRule | string;
    backgroundPosition?: ICSSRule | string;
    backgroundRepeat?: ICSSRule | string;
    backgroundSize?: ICSSRule | string;
    border?: ICSSRule | 0 | string;
    borderBottom?: ICSSRule | ICSSPixelUnitRule;
    borderBottomColor?: ICSSRule | string;
    borderBottomLeftRadius?: ICSSRule | ICSSPixelUnitRule;
    borderBottomRightRadius?: ICSSRule | ICSSPixelUnitRule;
    borderBottomStyle?: ICSSRule | string;
    borderBottomWidth?: ICSSRule | ICSSPixelUnitRule;
    borderCollapse?: ICSSRule | string;
    borderColor?: ICSSRule | string;
    borderCornerShape?: ICSSRule | string;
    borderImageSource?: ICSSRule | string;
    borderImageWidth?: ICSSRule | ICSSPixelUnitRule;
    borderLeft?: ICSSRule | ICSSPixelUnitRule;
    borderLeftColor?: ICSSRule | string;
    borderLeftStyle?: ICSSRule | string;
    borderLeftWidth?: ICSSRule | ICSSPixelUnitRule;
    borderRadius?: ICSSRule | ICSSPixelUnitRule;
    borderRight?: ICSSRule | ICSSPixelUnitRule;
    borderRightColor?: ICSSRule | string;
    borderRightStyle?: ICSSRule | string;
    borderRightWidth?: ICSSRule | ICSSPixelUnitRule;
    borderSpacing?: ICSSRule | string;
    borderStyle?: ICSSRule | string;
    borderTop?: ICSSRule | ICSSPixelUnitRule;
    borderTopColor?: ICSSRule | string;
    borderTopLeftRadius?: ICSSRule | ICSSPixelUnitRule;
    borderTopRightRadius?: ICSSRule | ICSSPixelUnitRule;
    borderTopStyle?: ICSSRule | string;
    borderTopWidth?: ICSSRule | ICSSPixelUnitRule;
    borderWidth?: ICSSRule | ICSSPixelUnitRule;
    bottom?: ICSSRule | ICSSPixelUnitRule;
    boxDecorationBreak?: ICSSRule | string;
    boxShadow?: ICSSRule | string;
    boxSizing?: ICSSRule | 'border-box' | 'content-box' | string;
    breakAfter?: ICSSRule | string;
    breakBefore?: ICSSRule | string;
    breakInside?: ICSSRule | string;
    clear?: ICSSRule | string;
    clipRule?: ICSSRule | string;
    color?: ICSSRule | string;
    columnCount?: ICSSRule | number | 'auto' | string;
    columnFill?: ICSSRule | string;
    columnGap?: ICSSRule | string;
    columnRule?: ICSSRule | string;
    columnRuleColor?: ICSSRule | string;
    columnRuleWidth?: ICSSRule | ICSSPixelUnitRule;
    columns?: ICSSRule | string;
    columnSpan?: ICSSRule | string;
    columnWidth?: ICSSRule | ICSSPixelUnitRule;
    content?: string;
    counterIncrement?: ICSSRule | string;
    counterReset?: ICSSRule | string;
    cue?: ICSSRule | string;
    cueAfter?: ICSSRule | string;
    cursor?: ICSSRule | string;
    direction?: ICSSRule | string;
    // Warning: (ae-forgotten-export) The symbol "ICSSDisplayRule" needs to be exported by the entry point index.d.ts
    display?: ICSSRule | ICSSDisplayRule | string;
    fill?: ICSSRule | string;
    fillOpacity?: ICSSRule | number;
    fillRule?: ICSSRule | string;
    filter?: ICSSRule | string;
    flex?: ICSSRule | string | number;
    flexBasis?: ICSSRule | string | number;
    flexDirection?: ICSSRule | 'row' | 'row-reverse' | 'column' | 'column-reverse' | string;
    flexFlow?: ICSSRule | string;
    flexGrow?: ICSSRule | number | string;
    flexShrink?: ICSSRule | number | string;
    flexWrap?: ICSSRule | 'nowrap' | 'wrap' | 'wrap-reverse' | string;
    float?: ICSSRule | string;
    flowFrom?: ICSSRule | string;
    forcedColorAdjust?: 'auto' | 'none' | string;
    gridArea?: ICSSRule | string;
    gridAutoColumns?: ICSSRule | string;
    gridAutoFlow?: ICSSRule | string;
    gridAutoRows?: ICSSRule | string;
    gridColumn?: ICSSRule | string;
    gridColumnEnd?: ICSSRule | string;
    gridColumnGap?: ICSSRule | string;
    gridColumnStart?: ICSSRule | string;
    gridGap?: ICSSRule | string;
    gridRow?: ICSSRule | string;
    gridRowEnd?: ICSSRule | string;
    gridRowGap?: ICSSRule | string;
    gridRowPosition?: ICSSRule | string;
    gridRowStart?: ICSSRule | string;
    gridTemplate?: ICSSRule | string;
    gridTemplateAreas?: ICSSRule | string;
    gridTemplateColumns?: ICSSRule | string;
    gridTemplateRows?: ICSSRule | string;
    height?: ICSSRule | ICSSPixelUnitRule;
    hyphenateLimitChars?: ICSSRule | string;
    hyphenateLimitLines?: ICSSRule | string;
    hyphenateLimitZone?: ICSSRule | string;
    hyphens?: ICSSRule | string;
    justifyContent?: ICSSRule | 'flex-start' | 'flex-end' | 'center' | 'space-between' | 'space-around' | 'space-evenly' | 'stretch' | string;
    justifySelf?: ICSSRule | 'auto' | 'normal' | 'stretch' | ICSSBaselinePositionRule | ICSSOverflowAndSelfPositionRule | 'left' | 'right' | 'safe left' | 'safe right' | 'unsafe left' | 'unsafe right' | string;
    left?: ICSSRule | ICSSPixelUnitRule;
    letterSpacing?: ICSSRule | string;
    lineHeight?: ICSSRule | 'normal' | ICSSPixelUnitRule | ICSSPercentageRule;
    listStyle?: ICSSRule | string;
    listStyleImage?: ICSSRule | string;
    listStylePosition?: ICSSRule | string;
    listStyleType?: ICSSRule | string;
    margin?: ICSSRule | ICSSPixelUnitRule;
    marginBottom?: ICSSRule | ICSSPixelUnitRule;
    marginLeft?: ICSSRule | ICSSPixelUnitRule;
    marginRight?: ICSSRule | ICSSPixelUnitRule;
    marginTop?: ICSSRule | ICSSPixelUnitRule;
    marqueeDirection?: ICSSRule | string;
    marqueeStyle?: ICSSRule | string;
    mask?: ICSSRule | string;
    maskBorder?: ICSSRule | string;
    maskBorderRepeat?: ICSSRule | string;
    maskBorderSlice?: ICSSRule | string;
    maskBorderSource?: ICSSRule | string;
    maskBorderWidth?: ICSSRule | ICSSPixelUnitRule;
    maskClip?: ICSSRule | string;
    maskOrigin?: ICSSRule | string;
    maxFontSize?: ICSSRule | ICSSPixelUnitRule;
    maxHeight?: ICSSRule | ICSSPixelUnitRule;
    maxWidth?: ICSSRule | ICSSPixelUnitRule;
    minHeight?: ICSSRule | ICSSPixelUnitRule;
    minWidth?: ICSSRule | ICSSPixelUnitRule;
    // Warning: (ae-forgotten-export) The symbol "IMixBlendModes" needs to be exported by the entry point index.d.ts
    mixBlendMode?: ICSSRule | IMixBlendModes | string;
    MozOsxFontSmoothing?: 'none' | 'antialiased' | 'grayscale' | 'subpixel-antialiased' | string;
    MsHighContrastAdjust?: ICSSRule | string;
    MsOverflowStyle?: 'auto' | 'none' | 'scrollbar' | '-ms-autohiding-scrollbar' | string;
    objectFit?: ICSSRule | 'cover' | 'contain' | 'fill' | 'none' | string;
    opacity?: ICSSRule | number | string;
    order?: ICSSRule | number | string;
    orphans?: ICSSRule | number | string;
    outline?: ICSSRule | 0 | string;
    outlineColor?: ICSSRule | string;
    outlineOffset?: ICSSRule | string;
    overflow?: ICSSRule | 'auto' | 'hidden' | 'scroll' | 'visible';
    overflowStyle?: ICSSRule | string;
    overflowWrap?: ICSSRule | 'normal' | 'break-word' | string;
    overflowX?: ICSSRule | 'auto' | 'hidden' | 'scroll' | 'visible' | string;
    overflowY?: ICSSRule | 'auto' | 'hidden' | 'scroll' | 'visible' | string;
    padding?: ICSSRule | ICSSPixelUnitRule;
    paddingBlockEnd?: ICSSRule | ICSSPixelUnitRule;
    paddingBlockStart?: ICSSRule | ICSSPixelUnitRule;
    paddingBottom?: ICSSRule | ICSSPixelUnitRule;
    paddingInlineEnd?: ICSSRule | ICSSPixelUnitRule;
    paddingInlineStart?: ICSSRule | ICSSPixelUnitRule;
    paddingLeft?: ICSSRule | ICSSPixelUnitRule;
    paddingRight?: ICSSRule | ICSSPixelUnitRule;
    paddingTop?: ICSSRule | ICSSPixelUnitRule;
    pageBreakAfter?: ICSSRule | string;
    pageBreakBefore?: ICSSRule | string;
    pageBreakInside?: ICSSRule | string;
    pause?: ICSSRule | string;
    pauseAfter?: ICSSRule | string;
    pauseBefore?: ICSSRule | string;
    perspective?: ICSSRule | string;
    perspectiveOrigin?: ICSSRule | string;
    pointerEvents?: ICSSRule | string;
    position?: ICSSRule | 'static' | 'relative' | 'absolute' | 'fixed' | 'sticky';
    quotes?: ICSSRule | string;
    regionFragment?: ICSSRule | string;
    resize?: ICSSRule | 'none' | 'both' | 'horizontal' | 'vertical' | 'block' | 'inline' | string;
    restAfter?: ICSSRule | string;
    restBefore?: ICSSRule | string;
    right?: ICSSRule | ICSSPixelUnitRule;
    shapeImageThreshold?: ICSSRule | string;
    shapeInside?: ICSSRule | string;
    shapeMargin?: ICSSRule | string;
    shapeOutside?: ICSSRule | string;
    speak?: ICSSRule | string;
    speakAs?: ICSSRule | string;
    stroke?: ICSSRule | string;
    strokeLinecap?: ICSSRule | 'butt' | 'round' | 'square' | string;
    strokeOpacity?: ICSSRule | number | string;
    strokeWidth?: ICSSRule | ICSSPixelUnitRule;
    tableLayout?: ICSSRule | string;
    tabSize?: ICSSRule | string;
    textAlign?: ICSSRule | string;
    textAlignLast?: ICSSRule | string;
    textDecoration?: ICSSRule | string;
    textDecorationColor?: ICSSRule | string;
    textDecorationLine?: ICSSRule | string;
    textDecorationSkip?: ICSSRule | string;
    textDecorationStyle?: ICSSRule | string;
    textEmphasis?: ICSSRule | string;
    textEmphasisColor?: ICSSRule | string;
    textEmphasisStyle?: ICSSRule | string;
    textHeight?: ICSSRule | string;
    textIndent?: ICSSRule | string;
    textOverflow?: ICSSRule | string;
    textOverline?: ICSSRule | string;
    textOverlineColor?: ICSSRule | string;
    textOverlineMode?: ICSSRule | string;
    textOverlineStyle?: ICSSRule | string;
    textOverlineWidth?: ICSSRule | ICSSPixelUnitRule;
    textRendering?: ICSSRule | string;
    textShadow?: ICSSRule | string;
    textSizeAdjust?: 'none' | 'auto' | ICSSPercentageRule | ICSSRule;
    textTransform?: ICSSRule | string;
    textUnderlinePosition?: ICSSRule | string;
    textUnderlineStyle?: ICSSRule | string;
    top?: ICSSRule | ICSSPixelUnitRule;
    touchAction?: ICSSRule | string;
    transform?: ICSSRule | string;
    transformOrigin?: ICSSRule | string;
    transformOriginZ?: ICSSRule | string;
    transformStyle?: ICSSRule | string;
    transition?: ICSSRule | string;
    transitionDelay?: ICSSRule | string;
    transitionDuration?: ICSSRule | string;
    transitionProperty?: ICSSRule | string;
    transitionTimingFunction?: ICSSRule | string;
    unicodeBidi?: ICSSRule | string;
    userFocus?: ICSSRule | string;
    userInput?: ICSSRule | string;
    userSelect?: ICSSRule | 'none' | 'auto' | 'text' | 'all' | 'contain' | string;
    verticalAlign?: ICSSRule | string;
    visibility?: ICSSRule | string;
    voiceBalance?: ICSSRule | string;
    voiceDuration?: ICSSRule | string;
    voiceFamily?: ICSSRule | string;
    voicePitch?: ICSSRule | string;
    voiceRange?: ICSSRule | string;
    voiceRate?: ICSSRule | string;
    voiceStress?: ICSSRule | string;
    voiceVolume?: ICSSRule | string;
    WebkitBackdropFilter?: ICSSRule | string;
    WebkitFontSmoothing?: 'none' | 'antialiased' | 'grayscale' | 'subpixel-antialiased' | string;
    WebkitOverflowScrolling?: 'auto' | 'touch' | string;
    WebkitTapHighlightColor?: string;
    WebkitTextSizeAdjust?: 'none' | 'auto' | ICSSPercentageRule | ICSSRule | string;
    whiteSpace?: ICSSRule | string;
    widows?: ICSSRule | number | string;
    width?: ICSSRule | ICSSPixelUnitRule;
    wordBreak?: ICSSRule | string;
    wordSpacing?: ICSSRule | string;
    wordWrap?: ICSSRule | string;
    wrapFlow?: ICSSRule | string;
    wrapMargin?: ICSSRule | string;
    writingMode?: ICSSRule | string;
    zIndex?: ICSSRule | 'auto' | number | string;
    zoom?: ICSSRule | 'auto' | number | ICSSPercentageRule;
}

// @public
export type IStyle = IStyleBase | IStyleBaseArray;

// @public (undocumented)
export type IStyleBase = IRawStyle | string | false | null | undefined;

// @public (undocumented)
export interface IStyleBaseArray extends Array<IStyle> {
}

// @public
export type IStyleFunction<TStylesProps, TStyleSet extends IStyleSet<TStyleSet>> = (props: TStylesProps) => DeepPartial<TStyleSet>;

// @public
export type IStyleFunctionOrObject<TStylesProps, TStyleSet extends IStyleSet<TStyleSet>> = IStyleFunction<TStylesProps, TStyleSet> | DeepPartial<TStyleSet>;

// @public
export type IStyleSet<TStyleSet extends IStyleSet<TStyleSet> = {
    [key: string]: any;
}> = {
    [P in keyof Omit<TStyleSet, 'subComponentStyles'>]: IStyle;
} & {
    subComponentStyles?: {
        [P in keyof TStyleSet['subComponentStyles']]: IStyleFunctionOrObject<any, any>;
    };
};

// @public
export interface IStyleSheetConfig {
    classNameCache?: {
        [key: string]: string;
    };
    cspSettings?: ICSPSettings;
    defaultPrefix?: string;
    injectionMode?: InjectionMode;
    namespace?: string;
    onInsertRule?: (rule: string) => void;
    rtl?: boolean;
}

// @public
export function keyframes(timeline: IKeyframes): string;

// Warning: (ae-forgotten-export) The symbol "IStyleOptions" needs to be exported by the entry point index.d.ts
//
// @public
export function mergeCss(args: (IStyle | IStyleBaseArray | false | null | undefined) | (IStyle | IStyleBaseArray | false | null | undefined)[], options?: IStyleOptions): string;

// @public
export function mergeCssSets<TStyleSet>(styleSets: [TStyleSet | false | null | undefined], options?: IStyleOptions): IProcessedStyleSet<TStyleSet>;

// @public
export function mergeCssSets<TStyleSet1, TStyleSet2>(styleSets: [TStyleSet1 | false | null | undefined, TStyleSet2 | false | null | undefined], options?: IStyleOptions): IProcessedStyleSet<TStyleSet1 & TStyleSet2>;

// @public
export function mergeCssSets<TStyleSet1, TStyleSet2, TStyleSet3>(styleSets: [TStyleSet1 | false | null | undefined, TStyleSet2 | false | null | undefined, TStyleSet3 | false | null | undefined], options?: IStyleOptions): IProcessedStyleSet<TStyleSet1 & TStyleSet2 & TStyleSet3>;

// @public
export function mergeCssSets<TStyleSet1, TStyleSet2, TStyleSet3, TStyleSet4>(styleSets: [TStyleSet1 | false | null | undefined, TStyleSet2 | false | null | undefined, TStyleSet3 | false | null | undefined, TStyleSet4 | false | null | undefined], options?: IStyleOptions): IProcessedStyleSet<ObjectOnly<TStyleSet1> & ObjectOnly<TStyleSet2> & ObjectOnly<TStyleSet3> & ObjectOnly<TStyleSet4>>;

// @public
export function mergeCssSets<TStyleSet>(styleSet: [TStyleSet | false | null | undefined], options?: IStyleOptions): IProcessedStyleSet<TStyleSet>;

// @public
export function mergeStyles(...args: (IStyle | IStyleBaseArray | false | null | undefined)[]): string;

// @public
export function mergeStyleSets<TStyleSet>(styleSet: TStyleSet | false | null | undefined): IProcessedStyleSet<ObjectOnly<TStyleSet>>;

// @public
export function mergeStyleSets<TStyleSet1, TStyleSet2>(styleSet1: TStyleSet1 | false | null | undefined, styleSet2: TStyleSet2 | false | null | undefined): IProcessedStyleSet<ObjectOnly<TStyleSet1> & ObjectOnly<TStyleSet2>>;

// @public
export function mergeStyleSets<TStyleSet1, TStyleSet2, TStyleSet3>(styleSet1: TStyleSet1 | false | null | undefined, styleSet2: TStyleSet2 | false | null | undefined, styleSet3: TStyleSet3 | false | null | undefined): IProcessedStyleSet<ObjectOnly<TStyleSet1> & ObjectOnly<TStyleSet2> & ObjectOnly<TStyleSet3>>;

// @public
export function mergeStyleSets<TStyleSet1, TStyleSet2, TStyleSet3, TStyleSet4>(styleSet1: TStyleSet1 | false | null | undefined, styleSet2: TStyleSet2 | false | null | undefined, styleSet3: TStyleSet3 | false | null | undefined, styleSet4: TStyleSet4 | false | null | undefined): IProcessedStyleSet<ObjectOnly<TStyleSet1> & ObjectOnly<TStyleSet2> & ObjectOnly<TStyleSet3> & ObjectOnly<TStyleSet4>>;

// @public
export function mergeStyleSets(...styleSets: Array<IStyleSet | undefined | false | null>): IProcessedStyleSet<any>;

// @public (undocumented)
export type ObjectOnly<TArg> = TArg extends {} ? TArg : {};

// Warning: (ae-forgotten-export) The symbol "Diff" needs to be exported by the entry point index.d.ts
//
// @public (undocumented)
export type Omit<U, K extends keyof U> = Pick<U, Diff<keyof U, K>>;

// @public
export function setRTL(isRTL: boolean): void;

// @public
export class Stylesheet {
    constructor(config?: IStyleSheetConfig);
    argsFromClassName(className: string): IStyle[] | undefined;
    cacheClassName(className: string, key: string, args: IStyle[], rules: string[]): void;
    classNameFromKey(key: string): string | undefined;
    getClassName(displayName?: string): string;
    getClassNameCache(): {
        [key: string]: string;
    };
    static getInstance(): Stylesheet;
    getRules(includePreservedRules?: boolean): string;
    insertedRulesFromClassName(className: string): string[] | undefined;
    insertRule(rule: string, preserve?: boolean): void;
    onReset(callback: () => void): void;
    reset(): void;
    // (undocumented)
    resetKeys(): void;
    setConfig(config?: IStyleSheetConfig): void;
    }


// Warnings were encountered during analysis:
//
// lib/IStyleSet.d.ts:50:5 - (ae-forgotten-export) The symbol "__MapToFunctionType" needs to be exported by the entry point index.d.ts

// (No @packageDocumentation comment for this package)

```
