/**
 * TypeScript type to return a deep partial object (each property can be undefined, recursively.)
 */
export declare type DeepPartial<T> = {
    [P in keyof T]?: T[P] extends (infer U)[] ? DeepPartial<U>[] : T[P] extends object ? DeepPartial<T[P]> : T[P];
};
